# QCA::OpenPGP Class Reference
[QCA user API]

Pretty Good Privacy messaging system. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::OpenPGP:

Collaboration diagram for QCA::OpenPGP:

[legend]

List of all members.

## Public Member Functions

| OpenPGP (QObject *parent=0, const QString &provider=QString())

## Detailed Description

Pretty Good Privacy messaging system.

See also:
  SecureMessage

  SecureMessageKey

## Constructor & Destructor Documentation

QCA::OpenPGP::OpenPGP | ( | QObject * | parent = `0`,
|  | const QString & | provider = `QString()` |
| ) |  |  | `[explicit]`

Standard constructor.

Parameters:

  | parent | the parent object for this object
  | provider | the provider to use, if a specific provider is required

The documentation for this class was generated from the following file:

- qca_securemessage.h